require "defines"

--create global variables
script.on_init(function()
	if global.cs_list == nil then
		global.cs_list = {}
	end
end)

script.on_load(function()
	if global.cs_list == nil then
		global.cs_list = {}
	end
end)

--script events
script.on_event(defines.events.on_built_entity, function(event)
	if (event.created_entity.name == "circuit-link") then
		create_cs(event.created_entity)
	end
end)

script.on_event(defines.events.on_robot_built_entity, function(event)
	if (event.created_entity.name == "circuit-link") then
		create_cs(event.created_entity)
	end
end)

script.on_event(defines.events.on_preplayer_mined_item, function(event)
	if (event.entity.name == "circuit-link") then
		remove_cs(event.entity)
	end
end)

script.on_event(defines.events.on_robot_pre_mined, function(event)
	if (event.entity.name == "circuit-link") then
		remove_cs(event.entity)
	end
end)

script.on_event(defines.events.on_entity_died, function(event)
	if (event.entity.name == "circuit-link") then
		remove_cs(event.entity)
	end
end)

script.on_event(defines.events.on_player_rotated_entity, function(event)
	if (event.entity.name == "circuit-switch") then
		rotate_cs(event.entity)
	end
end)

--functions
function create_cs(entity)
	entity.operable = false
	local switch = entity.surface.create_entity{name = "circuit-switch", position = {entity.position.x + 0.5, entity.position.y}, force = game.forces.neutral}
	switch.destructible = false
	switch.active = false
	global.cs_list[entity.position.x .. "," .. entity.position.y .. "," .. entity.surface.name] = {link_id = entity, switch_id = switch, active = false}
end

function remove_cs(entity)
	local ginava = entity.position.x .. "," .. entity.position.y .. "," .. entity.surface.name
	global.cs_list[ginava].switch_id.destroy()
	global.cs_list[ginava] = nil
end
	
function rotate_cs(entity)
	local nispe = (entity.position.x - 0.5) .. "," .. entity.position.y .. "," .. entity.surface.name
	if global.cs_list[nispe].active then
		global.cs_list[nispe].active = false
		global.cs_list[nispe].link_id.set_circuit_condition(1, {parameters = {{count=0, index=1, signal={name="signal-switch", type="virtual"}}}})
	else
		global.cs_list[nispe].active = true
		global.cs_list[nispe].link_id.set_circuit_condition(1, {parameters = {{count=1, index=1, signal={name="signal-switch", type="virtual"}}}})
	end
end