data:extend({
	{
	type = "storage-tank",
	name = "circuit-switch",
	icon = "__Circuit Switch__/graphics/icon/circuit_switch.png",
	subgroup = "circuit-network",
    order = "b[combinators]-e[circuit-switch]",
    flags = {"placeable-neutral"},
    max_health = 50,
    corpse = "small-remnants",
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
	fluid_box = {pipe_connections = {}},
	window_bounding_box = {{0, 0}, {0, 0}},
    pictures =
		{
		picture =
			{
			sheet =
				{
				filename = "__Circuit Switch__/graphics/entity/circuit-switch.png",
				priority = "extra-high",
				frames = 2,
				width = 67,
				height = 58,
				shift = {-0.021875, 0.16875}
				}
			},
		fluid_background =
			{
			filename = "__Circuit Switch__/graphics/entity/blank.png",
			priority = "very-low",
			width = 1,
			height = 1
			},
		window_background =
			{
			filename = "__Circuit Switch__/graphics/entity/blank.png",
			priority = "very-low",
			width = 1,
			height = 1
			},
		flow_sprite =
			{
			filename = "__Circuit Switch__/graphics/entity/blank.png",
			priority = "very-low",
			width = 1,
			height = 1
			}
		},
    flow_length_in_ticks = 0,
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
	circuit_wire_connection_points =
		{
			{
			shadow =
				{
				red = {0.759375, -0.096875},
				green = {0.759375, -0.096875},
				},
			wire =
				{
				red = {0.30625, -0.39375},
				green = {0.30625, -0.39375},
				}
			},
			{
			shadow =
				{
				red = {0.759375, -0.096875},
				green = {0.759375, -0.096875},
				},
			wire =
				{
				red = {0.30625, -0.39375},
				green = {0.30625, -0.39375},
				}
			},
			{
			shadow =
				{
				red = {0.759375, -0.096875},
				green = {0.759375, -0.096875},
				},
			wire =
				{
				red = {0.30625, -0.39375},
				green = {0.30625, -0.39375},
				}
			},
			{
			shadow =
				{
				red = {0.759375, -0.096875},
				green = {0.759375, -0.096875},
				},
			wire =
				{
				red = {0.30625, -0.39375},
				green = {0.30625, -0.39375},
				}
			}
		},
    circuit_wire_max_distance = 0
	},
	
	{
    type = "constant-combinator",
    name = "circuit-link",
    icon = "__Circuit Switch__/graphics/icon/circuit_switch.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "circuit-link"},
    max_health = 50,
    corpse = "small-remnants",

    collision_box = {{-0.85, -0.35}, {0.85, 0.35}},
    selection_box = {{-1, -0.5}, {0, 0.5}},

    item_slot_count = 1,

    sprite =
		{
		filename = "__base__/graphics/entity/combinator/constanter.png",
		x = 61,
		width = 61,
		height = 50,
		shift = {-0.421875, 0.15625},
		},
	circuit_wire_connection_point =
		{
		shadow =
			{
			red = {0.328125, 0.328125},
			green = {0.328125, -0.078125},
			},
		wire =
			{
			red = {0.015625, -0.078125},
			green = {0.015625, -0.484375},
			}
		},
    circuit_wire_max_distance = 7.5
	}
})